GET/boards/{boardId}/posts/{postId}

投稿を取得する。

  • ゴミ箱の投稿は取得できない。

Authorization

oauth2

Access Token を指定します。
指定の方法や Access Token の取得方法は 共通仕様 を参照してください。

Scope

board
board.read

HTTP Request

GEThttps://www.worksapis.com/v1.0/boards/{boardId}/posts/{postId}

Path Parameters

ParameterTypeDescription
boardId integer 

掲示板 ID


required
example : 100
format : int64 
postId integer 

投稿 ID


required
example : 1
format : int64 

Header Parameters

HeadertypeDescription
Authorization string 

Bearer {token}


required 

Response

HTTP 200

OK

PropertyTypeDescription
boardId integer 

掲示板 ID


format : int64 
postId integer 

投稿 ID


format : int64 
title string 

件名


required 
readCount integer 

既読数


format : int64 
commentCount integer 

コメント数


format : int64 
fileCount integer 

ファイル数


format : int64 
createdTime string 

登録日時


required
format : date-time
readOnly : true 
modifiedTime string 

更新日時


format : date-time
readOnly : true 
isMustRead boolean 

必読フラグ

 
mustReadPeriod object (mustReadPeriod) 

必読期間

 
body string 

内容 (タイプ:HTML)


required 
enableComment boolean 

コメント許可フラグ

 
userId string 

readOnly : true
nullable : true 
userName string 

登録者名


readOnly : true 

mustReadPeriod

PropertyTypeDescription
startDate string 

必読開始日


format : date
readOnly : true 
endDate string 

必読終了日


format : date 

Response Example

example

1{2  "boardId": 100,3  "postId": 1,4  "title": "Example title",5  "readCount": 0,6  "commentCount": 0,7  "fileCount": 0,8  "createdTime": "2022-10-28T17:26:35+09:00",9  "modifiedTime": "2022-10-28T17:26:35+09:00",10  "isMustRead": true,11  "mustReadPeriod": {12    "startDate": "2023-03-13",13    "endDate": "2023-03-20"14  },15  "body": "<h1>Example</h1> Insert body here.",16  "enableComment": true,17  "userId": "userf7da-f82c-4284-13e7-030f3b4c756x",18  "userName": "Susan Nielsen"19}

HTTP 307

Temporary Redirect - 他のインスタンスに存在するリソース。Location ヘッダーのダウンロード URL にリダイレクト。